# Bell Canada ISP, 22 nodes

set ns [new Simulator]
source tb_compat.tcl

### Nodes

set ASN577GuelphCanada [$ns node]
set ASN577WindsorCanada [$ns node]
set ASN577ChicagoIL [$ns node]
set ASN577NewMarketCanada [$ns node]
set ASN577OttawaCanada [$ns node]
set ASN577SherbrookeCanada [$ns node]
set ASN577QuebecCanada [$ns node]
set ASN577TorontoCanada [$ns node]
set ASN577ReginaCanada [$ns node]
set ASN3561ChicagoIL [$ns node]
set ASN1239ChicagoIL [$ns node]
set ASN577VancouverCanada [$ns node]
set ASN577HamiltonCanada [$ns node]
set ASN2828ChicagoIL [$ns node]
set ASN577HalifaxCanada [$ns node]
set ASN577KitchenerCanada [$ns node]
set ASN577NewYorkNY [$ns node]
set ASN577WinnipegCanada [$ns node]
set ASN577MontrealCanada [$ns node]
set ASN577CalgaryCanada [$ns node]
set ASN209ChicagoIL [$ns node]
set ASN174ChicagoIL [$ns node]

tb-set-node-startcmd $ASN577GuelphCanada "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN577WindsorCanada "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN577ChicagoIL "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN577NewMarketCanada "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN577OttawaCanada "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN577SherbrookeCanada "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN577QuebecCanada "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN577TorontoCanada "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN577ReginaCanada "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN3561ChicagoIL "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN1239ChicagoIL "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN577VancouverCanada "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN577HamiltonCanada "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN2828ChicagoIL "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN577HalifaxCanada "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN577KitchenerCanada "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN577NewYorkNY "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN577WinnipegCanada "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN577MontrealCanada "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN577CalgaryCanada "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN209ChicagoIL "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"
tb-set-node-startcmd $ASN174ChicagoIL "sudo sh /proj/DDoSImpact/exp/rf2ns-random/setup.sh"

set Link0 [$ns duplex-link $ASN577WinnipegCanada $ASN577WindsorCanada 100Mb 0ms DropTail]
tb-set-ip-link $ASN577WinnipegCanada $Link0 50.1.11.1
tb-set-ip-link $ASN577WindsorCanada $Link0 50.1.11.2
set Link1 [$ns duplex-link $ASN577WinnipegCanada $ASN577TorontoCanada 100Mb 0ms DropTail]
tb-set-ip-link $ASN577WinnipegCanada $Link1 50.1.10.1
tb-set-ip-link $ASN577TorontoCanada $Link1 50.1.10.2
set Link2 [$ns duplex-link $ASN577WindsorCanada $ASN577TorontoCanada 100Mb 0ms DropTail]
tb-set-ip-link $ASN577WindsorCanada $Link2 50.1.13.1
tb-set-ip-link $ASN577TorontoCanada $Link2 50.1.13.2
set Link3 [$ns duplex-link $ASN577TorontoCanada $ASN577ChicagoIL 100Mb 0ms DropTail]
tb-set-ip-link $ASN577TorontoCanada $Link3 50.1.19.1
tb-set-ip-link $ASN577ChicagoIL $Link3 50.1.19.2
set Link4 [$ns duplex-link $ASN577TorontoCanada $ASN577HamiltonCanada 100Mb 0ms DropTail]
tb-set-ip-link $ASN577TorontoCanada $Link4 50.1.17.2
tb-set-ip-link $ASN577HamiltonCanada $Link4 50.1.17.1
set Link5 [$ns duplex-link $ASN577TorontoCanada $ASN577ReginaCanada 100Mb 0ms DropTail]
tb-set-ip-link $ASN577TorontoCanada $Link5 50.1.21.1
tb-set-ip-link $ASN577ReginaCanada $Link5 50.1.21.2
set Link6 [$ns duplex-link $ASN577TorontoCanada $ASN577GuelphCanada 100Mb 0ms DropTail]
tb-set-ip-link $ASN577TorontoCanada $Link6 50.1.9.2
tb-set-ip-link $ASN577GuelphCanada $Link6 50.1.9.1
set Link7 [$ns duplex-link $ASN577TorontoCanada $ASN577MontrealCanada 100Mb 0ms DropTail]
tb-set-ip-link $ASN577TorontoCanada $Link7 50.1.27.1
tb-set-ip-link $ASN577MontrealCanada $Link7 50.1.27.2
set Link8 [$ns duplex-link $ASN577TorontoCanada $ASN577KitchenerCanada 100Mb 0ms DropTail]
tb-set-ip-link $ASN577TorontoCanada $Link8 50.1.8.2
tb-set-ip-link $ASN577KitchenerCanada $Link8 50.1.8.1
set Link9 [$ns duplex-link $ASN577TorontoCanada $ASN577NewMarketCanada 100Mb 0ms DropTail]
tb-set-ip-link $ASN577TorontoCanada $Link9 50.1.16.2
tb-set-ip-link $ASN577NewMarketCanada $Link9 50.1.16.1
set Link10 [$ns duplex-link $ASN577TorontoCanada $ASN577CalgaryCanada 100Mb 0ms DropTail]
tb-set-ip-link $ASN577TorontoCanada $Link10 50.1.4.2
tb-set-ip-link $ASN577CalgaryCanada $Link10 50.1.4.1
set Link13 [$ns duplex-link $ASN577ChicagoIL $ASN3561ChicagoIL 100Mb 0ms DropTail]
tb-set-ip-link $ASN577ChicagoIL $Link13 16.2.113.2
tb-set-ip-link $ASN3561ChicagoIL $Link13 16.2.113.1
set Link14 [$ns duplex-link $ASN577ChicagoIL $ASN209ChicagoIL 100Mb 0ms DropTail]
tb-set-ip-link $ASN577ChicagoIL $Link14 29.1.234.2
tb-set-ip-link $ASN209ChicagoIL $Link14 29.1.234.1
set Link15 [$ns duplex-link $ASN577ChicagoIL $ASN2828ChicagoIL 100Mb 0ms DropTail]
tb-set-ip-link $ASN577ChicagoIL $Link15 55.1.72.2
tb-set-ip-link $ASN2828ChicagoIL $Link15 55.1.72.1
set Link16 [$ns duplex-link $ASN577ChicagoIL $ASN1239ChicagoIL 100Mb 0ms DropTail]
tb-set-ip-link $ASN577ChicagoIL $Link16 27.2.12.2
tb-set-ip-link $ASN1239ChicagoIL $Link16 27.2.12.1
set Link17 [$ns duplex-link $ASN577ChicagoIL $ASN174ChicagoIL 100Mb 0ms DropTail]
tb-set-ip-link $ASN577ChicagoIL $Link17 54.1.129.2
tb-set-ip-link $ASN174ChicagoIL $Link17 54.1.129.1
set Link18 [$ns duplex-link $ASN577ReginaCanada $ASN577VancouverCanada 100Mb 0ms DropTail]
tb-set-ip-link $ASN577ReginaCanada $Link18 50.1.28.1
tb-set-ip-link $ASN577VancouverCanada $Link18 50.1.28.2
set Link19 [$ns duplex-link $ASN577MontrealCanada $ASN577NewYorkNY 100Mb 0ms DropTail]
tb-set-ip-link $ASN577MontrealCanada $Link19 50.1.32.2
tb-set-ip-link $ASN577NewYorkNY $Link19 50.1.32.1
set Link20 [$ns duplex-link $ASN577MontrealCanada $ASN577HalifaxCanada 100Mb 0ms DropTail]
tb-set-ip-link $ASN577MontrealCanada $Link20 50.1.30.2
tb-set-ip-link $ASN577HalifaxCanada $Link20 50.1.30.1
set Link21 [$ns duplex-link $ASN577MontrealCanada $ASN577QuebecCanada 100Mb 0ms DropTail]
tb-set-ip-link $ASN577MontrealCanada $Link21 50.1.18.2
tb-set-ip-link $ASN577QuebecCanada $Link21 50.1.18.1
set Link22 [$ns duplex-link $ASN577MontrealCanada $ASN577SherbrookeCanada 100Mb 0ms DropTail]
tb-set-ip-link $ASN577MontrealCanada $Link22 50.1.15.2
tb-set-ip-link $ASN577SherbrookeCanada $Link22 50.1.15.1
set Link23 [$ns duplex-link $ASN577MontrealCanada $ASN577OttawaCanada 100Mb 0ms DropTail]
tb-set-ip-link $ASN577MontrealCanada $Link23 50.1.2.2
tb-set-ip-link $ASN577OttawaCanada $Link23 50.1.2.1
set Link24 [$ns duplex-link $ASN577CalgaryCanada $ASN577VancouverCanada 100Mb 0ms DropTail]
tb-set-ip-link $ASN577CalgaryCanada $Link24 50.1.3.1
tb-set-ip-link $ASN577VancouverCanada $Link24 50.1.3.2

### Links that require multiplexing
tb-set-multiplexed Link3 1
tb-set-multiplexed Link4 1
tb-set-multiplexed Link5 1
tb-set-multiplexed Link6 1
tb-set-multiplexed Link7 1
tb-set-multiplexed Link8 1
tb-set-multiplexed Link9 1
tb-set-multiplexed Link10 1
tb-set-multiplexed Link11 1
tb-set-multiplexed Link12 1
tb-set-multiplexed Link19 1
tb-set-multiplexed Link20 1
tb-set-multiplexed Link21 1
tb-set-multiplexed Link22 1
tb-set-multiplexed Link23 1
tb-set-multiplexed Link13 1
tb-set-multiplexed Link14 1
tb-set-multiplexed Link15 1
tb-set-multiplexed Link16 1
tb-set-multiplexed Link17 1

$ns rtproto Static
$ns run
