# asn 6467 a tier 3 ISP, Espire network, 20 nodes

set ns [new Simulator]
source tb_compat.tcl

### Nodes

set ASN6467WashingtonDC [$ns node]
set ASN6467LasVegasNV [$ns node]
set ASN6467FortWorthTX [$ns node]
set ASN6467ColoradoSpringsC [$ns node]
set ASN6467LexingtonKY [$ns node]
set ASN6467DallasTX [$ns node]
set ASN6467AtlantaGA [$ns node]
set ASN6467MontgomeryAL [$ns node]
set ASN6467ElPasoTX [$ns node]
set ASN6467FortLauderdaleFL [$ns node]
set ASN6467BaltimoreMD [$ns node]
set ASN6467ColumbusGA [$ns node]
set ASN6467TulsaOK [$ns node]
set ASN6467ChicagoIL [$ns node]
set ASN6467TampaFL [$ns node]
set ASN6467KansasCityMO [$ns node]
set ASN6467AlbuquerqueNM [$ns node]
set ASN6467TucsonAZ [$ns node]
set ASN6467SanJoseCA [$ns node]
set ASN6467JacksonvilleFL [$ns node]

tb-set-node-startcmd $ASN6467WashingtonDC "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467LasVegasNV "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467FortWorthTX "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467ColoradoSpringsC "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467LexingtonKY "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467DallasTX "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467AtlantaGA "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467MontgomeryAL "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467ElPasoTX "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467FortLauderdaleFL "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467BaltimoreMD "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467ColumbusGA "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467TulsaOK "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467ChicagoIL "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467TampaFL "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467KansasCityMO "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467AlbuquerqueNM "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467TucsonAZ "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467SanJoseCA "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"
tb-set-node-startcmd $ASN6467JacksonvilleFL "sudo sh /proj/DDoSImpact/exp/rf2ns-espire/setup.sh"

set Link0 [$ns duplex-link $ASN6467BaltimoreMD $ASN6467WashingtonDC 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467BaltimoreMD $Link0 11.1.14.1
tb-set-ip-link $ASN6467WashingtonDC $Link0 11.1.14.2
set Link1 [$ns duplex-link $ASN6467WashingtonDC $ASN6467KansasCityMO 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467WashingtonDC $Link1 11.1.21.1
tb-set-ip-link $ASN6467KansasCityMO $Link1 11.1.21.2
set Link2 [$ns duplex-link $ASN6467WashingtonDC $ASN6467JacksonvilleFL 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467WashingtonDC $Link2 11.1.12.2
tb-set-ip-link $ASN6467JacksonvilleFL $Link2 11.1.12.1
set Link3 [$ns duplex-link $ASN6467WashingtonDC $ASN6467AtlantaGA 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467WashingtonDC $Link3 11.1.25.1
tb-set-ip-link $ASN6467AtlantaGA $Link3 11.1.25.2
set Link4 [$ns duplex-link $ASN6467WashingtonDC $ASN6467LexingtonKY 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467WashingtonDC $Link4 11.1.23.1
tb-set-ip-link $ASN6467LexingtonKY $Link4 11.1.23.2
set Link5 [$ns duplex-link $ASN6467WashingtonDC $ASN6467FortLauderdaleFL 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467WashingtonDC $Link5 11.1.22.1
tb-set-ip-link $ASN6467FortLauderdaleFL $Link5 11.1.22.2
set Link6 [$ns duplex-link $ASN6467WashingtonDC $ASN6467LasVegasNV 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467WashingtonDC $Link6 11.1.24.1
tb-set-ip-link $ASN6467LasVegasNV $Link6 11.1.24.2
set Link7 [$ns duplex-link $ASN6467KansasCityMO $ASN6467FortWorthTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467KansasCityMO $Link7 11.1.4.2
tb-set-ip-link $ASN6467FortWorthTX $Link7 11.1.4.1
set Link8 [$ns duplex-link $ASN6467KansasCityMO $ASN6467ColoradoSpringsC 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467KansasCityMO $Link8 11.1.16.2
tb-set-ip-link $ASN6467ColoradoSpringsC $Link8 11.1.16.1
set Link9 [$ns duplex-link $ASN6467KansasCityMO $ASN6467ChicagoIL 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467KansasCityMO $Link9 11.1.26.2
tb-set-ip-link $ASN6467ChicagoIL $Link9 11.1.26.1
set Link10 [$ns duplex-link $ASN6467KansasCityMO $ASN6467LasVegasNV 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467KansasCityMO $Link10 11.1.31.2
tb-set-ip-link $ASN6467LasVegasNV $Link10 11.1.31.1
set Link11 [$ns duplex-link $ASN6467JacksonvilleFL $ASN6467AtlantaGA 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467JacksonvilleFL $Link11 11.1.13.1
tb-set-ip-link $ASN6467AtlantaGA $Link11 11.1.13.2
set Link12 [$ns duplex-link $ASN6467JacksonvilleFL $ASN6467FortWorthTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467JacksonvilleFL $Link12 11.1.7.2
tb-set-ip-link $ASN6467FortWorthTX $Link12 11.1.7.1
set Link13 [$ns duplex-link $ASN6467AtlantaGA $ASN6467TampaFL 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467AtlantaGA $Link13 11.1.2.2
tb-set-ip-link $ASN6467TampaFL $Link13 11.1.2.1
set Link14 [$ns duplex-link $ASN6467AtlantaGA $ASN6467DallasTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467AtlantaGA $Link14 11.1.37.2
tb-set-ip-link $ASN6467DallasTX $Link14 11.1.37.1
set Link15 [$ns duplex-link $ASN6467AtlantaGA $ASN6467MontgomeryAL 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467AtlantaGA $Link15 11.1.1.2
tb-set-ip-link $ASN6467MontgomeryAL $Link15 11.1.1.1
set Link16 [$ns duplex-link $ASN6467AtlantaGA $ASN6467ColumbusGA 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467AtlantaGA $Link16 11.1.35.2
tb-set-ip-link $ASN6467ColumbusGA $Link16 11.1.35.1
set Link17 [$ns duplex-link $ASN6467AtlantaGA $ASN6467FortLauderdaleFL 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467AtlantaGA $Link17 11.1.27.2
tb-set-ip-link $ASN6467FortLauderdaleFL $Link17 11.1.27.1
set Link18 [$ns duplex-link $ASN6467AtlantaGA $ASN6467FortWorthTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467AtlantaGA $Link18 11.1.9.2
tb-set-ip-link $ASN6467FortWorthTX $Link18 11.1.9.1
set Link19 [$ns duplex-link $ASN6467AtlantaGA $ASN6467LasVegasNV 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467AtlantaGA $Link19 11.1.32.2
tb-set-ip-link $ASN6467LasVegasNV $Link19 11.1.32.1
set Link20 [$ns duplex-link $ASN6467LasVegasNV $ASN6467ColoradoSpringsC 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467LasVegasNV $Link20 11.1.17.2
tb-set-ip-link $ASN6467ColoradoSpringsC $Link20 11.1.17.1
set Link21 [$ns duplex-link $ASN6467LasVegasNV $ASN6467ElPasoTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467LasVegasNV $Link21 11.1.29.2
tb-set-ip-link $ASN6467ElPasoTX $Link21 11.1.29.1
set Link22 [$ns duplex-link $ASN6467LasVegasNV $ASN6467FortWorthTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467LasVegasNV $Link22 11.1.10.2
tb-set-ip-link $ASN6467FortWorthTX $Link22 11.1.10.1
set Link23 [$ns duplex-link $ASN6467LasVegasNV $ASN6467SanJoseCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467LasVegasNV $Link23 11.1.34.1
tb-set-ip-link $ASN6467SanJoseCA $Link23 11.1.34.2
set Link24 [$ns duplex-link $ASN6467LasVegasNV $ASN6467TucsonAZ 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467LasVegasNV $Link24 11.1.19.2
tb-set-ip-link $ASN6467TucsonAZ $Link24 11.1.19.1
set Link25 [$ns duplex-link $ASN6467LasVegasNV $ASN6467DallasTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467LasVegasNV $Link25 11.1.33.1
tb-set-ip-link $ASN6467DallasTX $Link25 11.1.33.2
set Link26 [$ns duplex-link $ASN6467FortWorthTX $ASN6467ElPasoTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467FortWorthTX $Link26 11.1.8.1
tb-set-ip-link $ASN6467ElPasoTX $Link26 11.1.8.2
set Link27 [$ns duplex-link $ASN6467FortWorthTX $ASN6467TucsonAZ 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467FortWorthTX $Link27 11.1.6.1
tb-set-ip-link $ASN6467TucsonAZ $Link27 11.1.6.2
set Link28 [$ns duplex-link $ASN6467FortWorthTX $ASN6467TulsaOK 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467FortWorthTX $Link28 11.1.3.1
tb-set-ip-link $ASN6467TulsaOK $Link28 11.1.3.2
set Link29 [$ns duplex-link $ASN6467FortWorthTX $ASN6467DallasTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467FortWorthTX $Link29 11.1.11.1
tb-set-ip-link $ASN6467DallasTX $Link29 11.1.11.2
set Link30 [$ns duplex-link $ASN6467FortWorthTX $ASN6467ColoradoSpringsC 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467FortWorthTX $Link30 11.1.5.1
tb-set-ip-link $ASN6467ColoradoSpringsC $Link30 11.1.5.2
set Link31 [$ns duplex-link $ASN6467ColoradoSpringsC $ASN6467DallasTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467ColoradoSpringsC $Link31 11.1.18.1
tb-set-ip-link $ASN6467DallasTX $Link31 11.1.18.2
set Link32 [$ns duplex-link $ASN6467ColoradoSpringsC $ASN6467AlbuquerqueNM 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467ColoradoSpringsC $Link32 11.1.15.1
tb-set-ip-link $ASN6467AlbuquerqueNM $Link32 11.1.15.2
set Link33 [$ns duplex-link $ASN6467DallasTX $ASN6467TulsaOK 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467DallasTX $Link33 11.1.36.1
tb-set-ip-link $ASN6467TulsaOK $Link33 11.1.36.2
set Link34 [$ns duplex-link $ASN6467DallasTX $ASN6467ElPasoTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467DallasTX $Link34 11.1.30.2
tb-set-ip-link $ASN6467ElPasoTX $Link34 11.1.30.1
set Link35 [$ns duplex-link $ASN6467DallasTX $ASN6467TucsonAZ 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467DallasTX $Link35 11.1.20.2
tb-set-ip-link $ASN6467TucsonAZ $Link35 11.1.20.1
set Link36 [$ns duplex-link $ASN6467ElPasoTX $ASN6467AlbuquerqueNM 100Mb 0ms DropTail]
tb-set-ip-link $ASN6467ElPasoTX $Link36 11.1.28.1
tb-set-ip-link $ASN6467AlbuquerqueNM $Link36 11.1.28.2

### Links that require multiplexing
tb-set-multiplexed Link1 1
tb-set-multiplexed Link2 1
tb-set-multiplexed Link3 1
tb-set-multiplexed Link4 1
tb-set-multiplexed Link5 1
tb-set-multiplexed Link6 1
tb-set-multiplexed Link20 1
tb-set-multiplexed Link21 1
tb-set-multiplexed Link22 1
tb-set-multiplexed Link23 1
tb-set-multiplexed Link24 1
tb-set-multiplexed Link25 1
tb-set-multiplexed Link26 1
tb-set-multiplexed Link27 1
tb-set-multiplexed Link28 1
tb-set-multiplexed Link29 1
tb-set-multiplexed Link30 1
tb-set-multiplexed Link13 1
tb-set-multiplexed Link14 1
tb-set-multiplexed Link15 1
tb-set-multiplexed Link16 1
tb-set-multiplexed Link17 1
tb-set-multiplexed Link18 1
tb-set-multiplexed Link19 1

$ns rtproto Static
$ns run
