# NTT network, 19 nodes

set ns [new Simulator]
source tb_compat.tcl

set ASN2914RochesterNY [$ns node]
set ASN2914PhiladelphiaPA [$ns node]
set ASN2914NewarkNJ [$ns node]
set ASN2914SterlingVA [$ns node]
set ASN2914BostonMA [$ns node]
set ASN2914AshburnVA [$ns node]
set ASN2914ColumbusOH [$ns node]
set ASN2914SyracuseNY [$ns node]
set ASN2914NewYorkNY [$ns node]
set ASN2914WestburyNY [$ns node]
set ASN2914SmithtownNY [$ns node]
set ASN2914ClevelandOH [$ns node]
set ASN2914McLeanVA [$ns node]
set ASN2914MadridSpain [$ns node]
set ASN2914AmsterdamNetherl [$ns node]
set ASN2914LondonUnitedKing [$ns node]
set ASN2914ParisFrance [$ns node]
set ASN2914MilpitasCA [$ns node]
set ASN2914ChicagoIL [$ns node]

tb-set-node-startcmd $ASN2914RochesterNY "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914PhiladelphiaPA "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914NewarkNJ "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914SterlingVA "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914BostonMA "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914AshburnVA "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914ColumbusOH "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914SyracuseNY "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914NewYorkNY "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914WestburyNY "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914SmithtownNY "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914ClevelandOH "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914McLeanVA "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914MadridSpain "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914AmsterdamNetherl "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914LondonUnitedKing "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914ParisFrance "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914MilpitasCA "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"
tb-set-node-startcmd $ASN2914ChicagoIL "sudo sh /proj/DDoSImpact/exp/rf2ns-ospf/setup.sh"

set Link0 [$ns duplex-link $ASN2914NewYorkNY $ASN2914SmithtownNY 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914NewYorkNY $Link0 11.1.3.2
tb-set-ip-link $ASN2914SmithtownNY $Link0 11.1.3.1
set Link1 [$ns duplex-link $ASN2914NewYorkNY $ASN2914RochesterNY 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914NewYorkNY $Link1 11.1.35.1
tb-set-ip-link $ASN2914RochesterNY $Link1 11.1.35.2
set Link2 [$ns duplex-link $ASN2914NewYorkNY $ASN2914LondonUnitedKing 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914NewYorkNY $Link2 11.1.31.1
tb-set-ip-link $ASN2914LondonUnitedKing $Link2 11.1.31.2
set Link3 [$ns duplex-link $ASN2914NewYorkNY $ASN2914ClevelandOH 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914NewYorkNY $Link3 11.1.34.1
tb-set-ip-link $ASN2914ClevelandOH $Link3 11.1.34.2
set Link4 [$ns duplex-link $ASN2914NewYorkNY $ASN2914AshburnVA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914NewYorkNY $Link4 11.1.12.2
tb-set-ip-link $ASN2914AshburnVA $Link4 11.1.12.1
set Link5 [$ns duplex-link $ASN2914NewYorkNY $ASN2914WestburyNY 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914NewYorkNY $Link5 11.1.1.2
tb-set-ip-link $ASN2914WestburyNY $Link5 11.1.1.1
set Link6 [$ns duplex-link $ASN2914NewYorkNY $ASN2914NewarkNJ 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914NewYorkNY $Link6 11.1.16.2
tb-set-ip-link $ASN2914NewarkNJ $Link6 11.1.16.1
set Link7 [$ns duplex-link $ASN2914NewYorkNY $ASN2914BostonMA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914NewYorkNY $Link7 11.1.30.1
tb-set-ip-link $ASN2914BostonMA $Link7 11.1.30.2
set Link8 [$ns duplex-link $ASN2914NewYorkNY $ASN2914ChicagoIL 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914NewYorkNY $Link8 11.1.32.1
tb-set-ip-link $ASN2914ChicagoIL $Link8 11.1.32.2
set Link10 [$ns duplex-link $ASN2914SmithtownNY $ASN2914WestburyNY 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914SmithtownNY $Link10 11.1.2.2
tb-set-ip-link $ASN2914WestburyNY $Link10 11.1.2.1
set Link11 [$ns duplex-link $ASN2914RochesterNY $ASN2914NewarkNJ 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914RochesterNY $Link11 11.1.19.2
tb-set-ip-link $ASN2914NewarkNJ $Link11 11.1.19.1
set Link12 [$ns duplex-link $ASN2914RochesterNY $ASN2914SyracuseNY 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914RochesterNY $Link12 11.1.107.1
tb-set-ip-link $ASN2914SyracuseNY $Link12 11.1.107.2
set Link13 [$ns duplex-link $ASN2914LondonUnitedKing $ASN2914MadridSpain 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914LondonUnitedKing $Link13 11.1.90.1
tb-set-ip-link $ASN2914MadridSpain $Link13 11.1.90.2
set Link14 [$ns duplex-link $ASN2914LondonUnitedKing $ASN2914AmsterdamNetherl 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914LondonUnitedKing $Link14 11.1.71.2
tb-set-ip-link $ASN2914AmsterdamNetherl $Link14 11.1.71.1
set Link15 [$ns duplex-link $ASN2914LondonUnitedKing $ASN2914ParisFrance 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914LondonUnitedKing $Link15 11.1.86.2
tb-set-ip-link $ASN2914ParisFrance $Link15 11.1.86.1
set Link16 [$ns duplex-link $ASN2914ClevelandOH $ASN2914ChicagoIL 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914ClevelandOH $Link16 11.1.97.2
tb-set-ip-link $ASN2914ChicagoIL $Link16 11.1.97.1
set Link17 [$ns duplex-link $ASN2914ClevelandOH $ASN2914ColumbusOH 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914ClevelandOH $Link17 11.1.78.2
tb-set-ip-link $ASN2914ColumbusOH $Link17 11.1.78.1
set Link18 [$ns duplex-link $ASN2914AshburnVA $ASN2914SterlingVA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914AshburnVA $Link18 11.1.15.1
tb-set-ip-link $ASN2914SterlingVA $Link18 11.1.15.2
set Link19 [$ns duplex-link $ASN2914AshburnVA $ASN2914ChicagoIL 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914AshburnVA $Link19 11.1.14.1
tb-set-ip-link $ASN2914ChicagoIL $Link19 11.1.14.2
set Link20 [$ns duplex-link $ASN2914AshburnVA $ASN2914McLeanVA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914AshburnVA $Link20 11.1.13.1
tb-set-ip-link $ASN2914McLeanVA $Link20 11.1.13.2
set Link21 [$ns duplex-link $ASN2914NewarkNJ $ASN2914PhiladelphiaPA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914NewarkNJ $Link21 11.1.18.1
tb-set-ip-link $ASN2914PhiladelphiaPA $Link21 11.1.18.2
set Link22 [$ns duplex-link $ASN2914NewarkNJ $ASN2914AmsterdamNetherl 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914NewarkNJ $Link22 11.1.17.1
tb-set-ip-link $ASN2914AmsterdamNetherl $Link22 11.1.17.2
set Link23 [$ns duplex-link $ASN2914NewarkNJ $ASN2914MilpitasCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914NewarkNJ $Link23 11.1.8.2
tb-set-ip-link $ASN2914MilpitasCA $Link23 11.1.8.1

tb-set-multiplexed Link0 1
tb-set-multiplexed Link1 1
tb-set-multiplexed Link2 1
tb-set-multiplexed Link3 1
tb-set-multiplexed Link4 1
tb-set-multiplexed Link5 1
tb-set-multiplexed Link6 1
tb-set-multiplexed Link7 1
tb-set-multiplexed Link8 1
tb-set-multiplexed Link9 1

$ns rtproto Static
$ns run
