# A 3-tier setup, 72 nodes
# ASN 1239  - sprint (tier 1)
# ASN 10910 - internap (tier 2)
# ASN 3967  - Exodus (tier 3)

set ns [new Simulator]
source tb_compat.tcl

### Nodes

set ASN1239TucsonAZ [$ns node]
set ASN1239SanJoseCA [$ns node]
set ASN1239StockholmSweden [$ns node]
set ASN10910LosAngelesCA [$ns node]
set ASN1239TokyoJapan [$ns node]
set ASN10910DenverCO [$ns node]
set ASN1239LeesSummitMO [$ns node]
set ASN10910SanFranciscoCA [$ns node]
set ASN1239SeattleWA [$ns node]
set ASN1239TacomaWA [$ns node]
set ASN1239RelayMD [$ns node]
set ASN1239CopenhagenDenmar [$ns node]
set ASN10910MilpitasCA [$ns node]
set ASN1239MilanItaly [$ns node]
set ASN1239KansasCityMO [$ns node]
set ASN1239DenverColorado [$ns node]
set ASN1239AnaheimCA [$ns node]
set ASN1239TuckertonNJ [$ns node]
set ASN1239RichardsonTX [$ns node]
set ASN10910SanDiegoCA [$ns node]
set ASN1239RoachdaleIN [$ns node]
set ASN10910PennsaukenNJ [$ns node]
set ASN1239DublinIreland [$ns node]
set ASN1239ManasquanNJ [$ns node]
set ASN1239CheyenneWY [$ns node]
set ASN1239OrlandoFL [$ns node]
set ASN10910NewYorkNY [$ns node]
set ASN1239BostonMA [$ns node]
set ASN3967SanFranciscoCA [$ns node]
set ASN1239BurbankCA [$ns node]
set ASN1239AshburnVA [$ns node]
set ASN10910MiamiFL [$ns node]
set ASN10910PaloAltoCA [$ns node]
set ASN1239ParisFrance [$ns node]
set ASN10910OrangeCountyCA [$ns node]
set ASN1239LosAngelesCA [$ns node]
set ASN1239HartfordCT [$ns node]
set ASN1239IndianapolisIN [$ns node]
set ASN1239PhoenixAZ [$ns node]
set ASN1239BrusselsBelgium [$ns node]
set ASN1239HamburgGermany [$ns node]
set ASN1239StocktonCA [$ns node]
set ASN10910AtlantaGA [$ns node]
set ASN1239AucklandNewZeala [$ns node]
set ASN1239HongKong [$ns node]
set ASN1239LondonUnitedKing [$ns node]
set ASN10910EverettWA [$ns node]
set ASN1239PearlHarborHI [$ns node]
set ASN10910SanJoseCA [$ns node]
set ASN1239ChicagoIL [$ns node]
set ASN1239SaintLouisMO [$ns node]
set ASN1239Singapore [$ns node]
set ASN1239WashingtonDC [$ns node]
set ASN1239AmsterdamNetherl [$ns node]
set ASN1239PennsaukenNJ [$ns node]
set ASN1239RestonVA [$ns node]
set ASN1239NewYorkNY [$ns node]
set ASN10910SeattleWA [$ns node]
set ASN10910TacomaWA [$ns node]
set ASN1239DallasTX [$ns node]
set ASN1239MiamiFL [$ns node]
set ASN1239PaloAltoCA [$ns node]
set ASN10910PhiladelphiaPA [$ns node]
set ASN1239SydneyAustralia [$ns node]
set ASN10910AnaheimCA [$ns node]
set ASN1239SpringfieldMA [$ns node]
set ASN1239FrankfurtGermany [$ns node]
set ASN10910CheyenneWY [$ns node]
set ASN1239AtlantaGA [$ns node]
set ASN1239RanchoCordovaCA [$ns node]
set ASN10910OrlandoFL [$ns node]
set ASN10910BostonMA [$ns node]

tb-set-node-startcmd $ASN1239TucsonAZ "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239SanJoseCA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239StockholmSweden "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910LosAngelesCA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239TokyoJapan "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910DenverCO "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239LeesSummitMO "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910SanFranciscoCA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239SeattleWA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239TacomaWA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239RelayMD "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239CopenhagenDenmar "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910MilpitasCA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239MilanItaly "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239KansasCityMO "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239DenverColorado "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239AnaheimCA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239TuckertonNJ "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239RichardsonTX "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910SanDiegoCA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239RoachdaleIN "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910PennsaukenNJ "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239DublinIreland "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239ManasquanNJ "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239CheyenneWY "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239OrlandoFL "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910NewYorkNY "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239BostonMA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN3967SanFranciscoCA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239BurbankCA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239AshburnVA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910MiamiFL "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910PaloAltoCA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239ParisFrance "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910OrangeCountyCA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239LosAngelesCA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239HartfordCT "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239IndianapolisIN "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239PhoenixAZ "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239BrusselsBelgium "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239HamburgGermany "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239StocktonCA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910AtlantaGA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239AucklandNewZeala "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239HongKong "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239LondonUnitedKing "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910EverettWA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239PearlHarborHI "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910SanJoseCA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239ChicagoIL "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239SaintLouisMO "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239Singapore "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239WashingtonDC "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239AmsterdamNetherl "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239PennsaukenNJ "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239RestonVA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239NewYorkNY "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910SeattleWA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910TacomaWA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239DallasTX "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239MiamiFL "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239PaloAltoCA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910PhiladelphiaPA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239SydneyAustralia "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910AnaheimCA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239SpringfieldMA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239FrankfurtGermany "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910CheyenneWY "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239AtlantaGA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN1239RanchoCordovaCA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910OrlandoFL "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"
tb-set-node-startcmd $ASN10910BostonMA "sudo sh /proj/DDoSImpact/exp/rf2ns-tier3/setup.sh"

set Link0 [$ns duplex-link $ASN1239PaloAltoCA $ASN1239SanJoseCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239PaloAltoCA $Link0 12.1.38.1
tb-set-ip-link $ASN1239SanJoseCA $Link0 12.1.38.2
set Link1 [$ns duplex-link $ASN1239SanJoseCA $ASN1239AnaheimCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239SanJoseCA $Link1 12.1.68.2
tb-set-ip-link $ASN1239AnaheimCA $Link1 12.1.68.1
set Link2 [$ns duplex-link $ASN1239SanJoseCA $ASN1239StocktonCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239SanJoseCA $Link2 12.1.18.2
tb-set-ip-link $ASN1239StocktonCA $Link2 12.1.18.1
set Link3 [$ns duplex-link $ASN1239SanJoseCA $ASN1239TacomaWA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239SanJoseCA $Link3 12.1.15.2
tb-set-ip-link $ASN1239TacomaWA $Link3 12.1.15.1
set Link4 [$ns duplex-link $ASN1239SanJoseCA $ASN1239RelayMD 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239SanJoseCA $Link4 12.1.8.2
tb-set-ip-link $ASN1239RelayMD $Link4 12.1.8.1
set Link5 [$ns duplex-link $ASN1239SanJoseCA $ASN1239TokyoJapan 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239SanJoseCA $Link5 12.1.80.1
tb-set-ip-link $ASN1239TokyoJapan $Link5 12.1.80.2
set Link6 [$ns duplex-link $ASN1239SanJoseCA $ASN1239SydneyAustralia 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239SanJoseCA $Link6 12.1.79.1
tb-set-ip-link $ASN1239SydneyAustralia $Link6 12.1.79.2
set Link7 [$ns duplex-link $ASN1239SanJoseCA $ASN1239ChicagoIL 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239SanJoseCA $Link7 12.1.50.2
tb-set-ip-link $ASN1239ChicagoIL $Link7 12.1.50.1
set Link8 [$ns duplex-link $ASN1239SanJoseCA $ASN10910SanJoseCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239SanJoseCA $Link8 11.1.25.2
tb-set-ip-link $ASN10910SanJoseCA $Link8 11.1.25.1
set Link9 [$ns duplex-link $ASN1239AnaheimCA $ASN1239BurbankCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239AnaheimCA $Link9 12.1.70.1
tb-set-ip-link $ASN1239BurbankCA $Link9 12.1.70.2
set Link10 [$ns duplex-link $ASN1239AnaheimCA $ASN1239PearlHarborHI 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239AnaheimCA $Link10 12.1.39.2
tb-set-ip-link $ASN1239PearlHarborHI $Link10 12.1.39.1
set Link11 [$ns duplex-link $ASN1239AnaheimCA $ASN1239TucsonAZ 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239AnaheimCA $Link11 12.1.54.2
tb-set-ip-link $ASN1239TucsonAZ $Link11 12.1.54.1
set Link12 [$ns duplex-link $ASN1239AnaheimCA $ASN1239PhoenixAZ 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239AnaheimCA $Link12 12.1.71.1
tb-set-ip-link $ASN1239PhoenixAZ $Link12 12.1.71.2
set Link13 [$ns duplex-link $ASN1239AnaheimCA $ASN1239LosAngelesCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239AnaheimCA $Link13 12.1.69.1
tb-set-ip-link $ASN1239LosAngelesCA $Link13 12.1.69.2
set Link14 [$ns duplex-link $ASN1239AnaheimCA $ASN1239DallasTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239AnaheimCA $Link14 12.1.67.1
tb-set-ip-link $ASN1239DallasTX $Link14 12.1.67.2
set Link15 [$ns duplex-link $ASN1239AnaheimCA $ASN10910AnaheimCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239AnaheimCA $Link15 11.1.17.2
tb-set-ip-link $ASN10910AnaheimCA $Link15 11.1.17.1
set Link16 [$ns duplex-link $ASN1239StocktonCA $ASN1239PennsaukenNJ 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239StocktonCA $Link16 12.1.19.1
tb-set-ip-link $ASN1239PennsaukenNJ $Link16 12.1.19.2
set Link17 [$ns duplex-link $ASN1239StocktonCA $ASN1239PearlHarborHI 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239StocktonCA $Link17 12.1.20.1
tb-set-ip-link $ASN1239PearlHarborHI $Link17 12.1.20.2
set Link18 [$ns duplex-link $ASN1239StocktonCA $ASN1239TokyoJapan 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239StocktonCA $Link18 12.1.23.1
tb-set-ip-link $ASN1239TokyoJapan $Link18 12.1.23.2
set Link19 [$ns duplex-link $ASN1239StocktonCA $ASN1239ChicagoIL 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239StocktonCA $Link19 12.1.22.1
tb-set-ip-link $ASN1239ChicagoIL $Link19 12.1.22.2
set Link20 [$ns duplex-link $ASN1239StocktonCA $ASN1239RanchoCordovaCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239StocktonCA $Link20 12.1.21.1
tb-set-ip-link $ASN1239RanchoCordovaCA $Link20 12.1.21.2
set Link21 [$ns duplex-link $ASN1239TacomaWA $ASN1239CheyenneWY 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239TacomaWA $Link21 12.1.16.1
tb-set-ip-link $ASN1239CheyenneWY $Link21 12.1.16.2
set Link22 [$ns duplex-link $ASN1239TacomaWA $ASN1239SeattleWA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239TacomaWA $Link22 12.1.12.2
tb-set-ip-link $ASN1239SeattleWA $Link22 12.1.12.1
set Link23 [$ns duplex-link $ASN1239TacomaWA $ASN1239TokyoJapan 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239TacomaWA $Link23 12.1.17.1
tb-set-ip-link $ASN1239TokyoJapan $Link23 12.1.17.2
set Link24 [$ns duplex-link $ASN1239TacomaWA $ASN10910TacomaWA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239TacomaWA $Link24 11.1.27.2
tb-set-ip-link $ASN10910TacomaWA $Link24 11.1.27.1
set Link25 [$ns duplex-link $ASN1239RelayMD $ASN1239TuckertonNJ 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239RelayMD $Link25 12.1.4.1
tb-set-ip-link $ASN1239TuckertonNJ $Link25 12.1.4.2
set Link26 [$ns duplex-link $ASN1239RelayMD $ASN1239NewYorkNY 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239RelayMD $Link26 12.1.5.1
tb-set-ip-link $ASN1239NewYorkNY $Link26 12.1.5.2
set Link27 [$ns duplex-link $ASN1239RelayMD $ASN1239PennsaukenNJ 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239RelayMD $Link27 12.1.7.1
tb-set-ip-link $ASN1239PennsaukenNJ $Link27 12.1.7.2
set Link28 [$ns duplex-link $ASN1239RelayMD $ASN1239AshburnVA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239RelayMD $Link28 12.1.9.1
tb-set-ip-link $ASN1239AshburnVA $Link28 12.1.9.2
set Link29 [$ns duplex-link $ASN1239RelayMD $ASN1239ManasquanNJ 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239RelayMD $Link29 12.1.6.1
tb-set-ip-link $ASN1239ManasquanNJ $Link29 12.1.6.2
set Link30 [$ns duplex-link $ASN1239RelayMD $ASN1239WashingtonDC 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239RelayMD $Link30 12.1.3.1
tb-set-ip-link $ASN1239WashingtonDC $Link30 12.1.3.2
set Link31 [$ns duplex-link $ASN1239RelayMD $ASN1239AtlantaGA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239RelayMD $Link31 12.1.10.1
tb-set-ip-link $ASN1239AtlantaGA $Link31 12.1.10.2
set Link32 [$ns duplex-link $ASN1239RelayMD $ASN1239RestonVA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239RelayMD $Link32 12.1.1.2
tb-set-ip-link $ASN1239RestonVA $Link32 12.1.1.1
set Link34 [$ns duplex-link $ASN1239TokyoJapan $ASN1239Singapore 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239TokyoJapan $Link34 12.1.60.2
tb-set-ip-link $ASN1239Singapore $Link34 12.1.60.1
set Link35 [$ns duplex-link $ASN1239TokyoJapan $ASN1239HongKong 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239TokyoJapan $Link35 12.1.84.2
tb-set-ip-link $ASN1239HongKong $Link35 12.1.84.1
set Link36 [$ns duplex-link $ASN1239SydneyAustralia $ASN1239AucklandNewZeala 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239SydneyAustralia $Link36 12.1.2.2
tb-set-ip-link $ASN1239AucklandNewZeala $Link36 12.1.2.1
set Link37 [$ns duplex-link $ASN1239ChicagoIL $ASN1239SpringfieldMA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239ChicagoIL $Link37 12.1.48.1
tb-set-ip-link $ASN1239SpringfieldMA $Link37 12.1.48.2
set Link38 [$ns duplex-link $ASN1239ChicagoIL $ASN1239LeesSummitMO 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239ChicagoIL $Link38 12.1.37.2
tb-set-ip-link $ASN1239LeesSummitMO $Link38 12.1.37.1
set Link39 [$ns duplex-link $ASN1239ChicagoIL $ASN1239AtlantaGA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239ChicagoIL $Link39 12.1.53.1
tb-set-ip-link $ASN1239AtlantaGA $Link39 12.1.53.2
set Link40 [$ns duplex-link $ASN1239ChicagoIL $ASN1239DallasTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239ChicagoIL $Link40 12.1.49.1
tb-set-ip-link $ASN1239DallasTX $Link40 12.1.49.2
set Link41 [$ns duplex-link $ASN1239ChicagoIL $ASN1239SeattleWA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239ChicagoIL $Link41 12.1.14.2
tb-set-ip-link $ASN1239SeattleWA $Link41 12.1.14.1
set Link42 [$ns duplex-link $ASN1239ChicagoIL $ASN1239NewYorkNY 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239ChicagoIL $Link42 12.1.45.1
tb-set-ip-link $ASN1239NewYorkNY $Link42 12.1.45.2
set Link43 [$ns duplex-link $ASN1239ChicagoIL $ASN1239SaintLouisMO 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239ChicagoIL $Link43 12.1.44.1
tb-set-ip-link $ASN1239SaintLouisMO $Link43 12.1.44.2
set Link44 [$ns duplex-link $ASN1239ChicagoIL $ASN1239KansasCityMO 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239ChicagoIL $Link44 12.1.46.1
tb-set-ip-link $ASN1239KansasCityMO $Link44 12.1.46.2
set Link45 [$ns duplex-link $ASN1239ChicagoIL $ASN1239RoachdaleIN 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239ChicagoIL $Link45 12.1.51.1
tb-set-ip-link $ASN1239RoachdaleIN $Link45 12.1.51.2
set Link46 [$ns duplex-link $ASN1239ChicagoIL $ASN1239IndianapolisIN 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239ChicagoIL $Link46 12.1.28.2
tb-set-ip-link $ASN1239IndianapolisIN $Link46 12.1.28.1
set Link47 [$ns duplex-link $ASN1239ChicagoIL $ASN1239CheyenneWY 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239ChicagoIL $Link47 12.1.47.1
tb-set-ip-link $ASN1239CheyenneWY $Link47 12.1.47.2
set Link50 [$ns duplex-link $ASN10910SanJoseCA $ASN10910SanFranciscoCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN10910SanJoseCA $Link50 11.1.5.2
tb-set-ip-link $ASN10910SanFranciscoCA $Link50 11.1.5.1
set Link51 [$ns duplex-link $ASN1239LosAngelesCA $ASN1239DallasTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239LosAngelesCA $Link51 12.1.82.2
tb-set-ip-link $ASN1239DallasTX $Link51 12.1.82.1
set Link52 [$ns duplex-link $ASN1239DallasTX $ASN1239DenverColorado 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239DallasTX $Link52 12.1.24.2
tb-set-ip-link $ASN1239DenverColorado $Link52 12.1.24.1
set Link53 [$ns duplex-link $ASN1239DallasTX $ASN1239AtlantaGA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239DallasTX $Link53 12.1.55.2
tb-set-ip-link $ASN1239AtlantaGA $Link53 12.1.55.1
set Link54 [$ns duplex-link $ASN1239DallasTX $ASN1239RichardsonTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239DallasTX $Link54 12.1.83.1
tb-set-ip-link $ASN1239RichardsonTX $Link54 12.1.83.2
set Link55 [$ns duplex-link $ASN1239DallasTX $ASN1239PennsaukenNJ 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239DallasTX $Link55 12.1.34.2
tb-set-ip-link $ASN1239PennsaukenNJ $Link55 12.1.34.1
set Link56 [$ns duplex-link $ASN1239DallasTX $ASN1239OrlandoFL 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239DallasTX $Link56 12.1.78.2
tb-set-ip-link $ASN1239OrlandoFL $Link56 12.1.78.1
set Link57 [$ns duplex-link $ASN1239DallasTX $ASN1239KansasCityMO 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239DallasTX $Link57 12.1.64.2
tb-set-ip-link $ASN1239KansasCityMO $Link57 12.1.64.1
set Link59 [$ns duplex-link $ASN10910AnaheimCA $ASN10910OrangeCountyCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN10910AnaheimCA $Link59 11.1.7.1
tb-set-ip-link $ASN10910OrangeCountyCA $Link59 11.1.7.2
set Link60 [$ns duplex-link $ASN10910AnaheimCA $ASN10910LosAngelesCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN10910AnaheimCA $Link60 11.1.8.1
tb-set-ip-link $ASN10910LosAngelesCA $Link60 11.1.8.2
set Link61 [$ns duplex-link $ASN1239PennsaukenNJ $ASN1239KansasCityMO 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239PennsaukenNJ $Link61 12.1.32.1
tb-set-ip-link $ASN1239KansasCityMO $Link61 12.1.32.2
set Link62 [$ns duplex-link $ASN1239PennsaukenNJ $ASN1239NewYorkNY 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239PennsaukenNJ $Link62 12.1.31.1
tb-set-ip-link $ASN1239NewYorkNY $Link62 12.1.31.2
set Link63 [$ns duplex-link $ASN1239PennsaukenNJ $ASN1239RoachdaleIN 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239PennsaukenNJ $Link63 12.1.35.1
tb-set-ip-link $ASN1239RoachdaleIN $Link63 12.1.35.2
set Link64 [$ns duplex-link $ASN1239PennsaukenNJ $ASN1239TuckertonNJ 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239PennsaukenNJ $Link64 12.1.30.1
tb-set-ip-link $ASN1239TuckertonNJ $Link64 12.1.30.2
set Link65 [$ns duplex-link $ASN1239PennsaukenNJ $ASN1239SpringfieldMA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239PennsaukenNJ $Link65 12.1.33.1
tb-set-ip-link $ASN1239SpringfieldMA $Link65 12.1.33.2
set Link66 [$ns duplex-link $ASN1239PennsaukenNJ $ASN10910PennsaukenNJ 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239PennsaukenNJ $Link66 11.1.24.2
tb-set-ip-link $ASN10910PennsaukenNJ $Link66 11.1.24.1
set Link67 [$ns duplex-link $ASN1239CheyenneWY $ASN1239DenverColorado 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239CheyenneWY $Link67 12.1.25.2
tb-set-ip-link $ASN1239DenverColorado $Link67 12.1.25.1
set Link68 [$ns duplex-link $ASN1239CheyenneWY $ASN10910CheyenneWY 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239CheyenneWY $Link68 11.1.19.2
tb-set-ip-link $ASN10910CheyenneWY $Link68 11.1.19.1
set Link69 [$ns duplex-link $ASN1239SeattleWA $ASN1239KansasCityMO 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239SeattleWA $Link69 12.1.13.1
tb-set-ip-link $ASN1239KansasCityMO $Link69 12.1.13.2
set Link70 [$ns duplex-link $ASN1239SeattleWA $ASN10910SeattleWA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239SeattleWA $Link70 11.1.26.2
tb-set-ip-link $ASN10910SeattleWA $Link70 11.1.26.1
set Link71 [$ns duplex-link $ASN10910TacomaWA $ASN10910SeattleWA 100Mb 0ms DropTail]
tb-set-ip-link $ASN10910TacomaWA $Link71 11.1.2.1
tb-set-ip-link $ASN10910SeattleWA $Link71 11.1.2.2
set Link72 [$ns duplex-link $ASN1239TuckertonNJ $ASN1239LondonUnitedKing 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239TuckertonNJ $Link72 12.1.72.2
tb-set-ip-link $ASN1239LondonUnitedKing $Link72 12.1.72.1
set Link73 [$ns duplex-link $ASN1239TuckertonNJ $ASN1239ManasquanNJ 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239TuckertonNJ $Link73 12.1.77.2
tb-set-ip-link $ASN1239ManasquanNJ $Link73 12.1.77.1
set Link74 [$ns duplex-link $ASN1239NewYorkNY $ASN1239SpringfieldMA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239NewYorkNY $Link74 12.1.62.1
tb-set-ip-link $ASN1239SpringfieldMA $Link74 12.1.62.2
set Link75 [$ns duplex-link $ASN1239NewYorkNY $ASN1239HartfordCT 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239NewYorkNY $Link75 12.1.43.2
tb-set-ip-link $ASN1239HartfordCT $Link75 12.1.43.1
set Link76 [$ns duplex-link $ASN1239NewYorkNY $ASN1239AtlantaGA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239NewYorkNY $Link76 12.1.56.2
tb-set-ip-link $ASN1239AtlantaGA $Link76 12.1.56.1
set Link77 [$ns duplex-link $ASN1239NewYorkNY $ASN1239IndianapolisIN 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239NewYorkNY $Link77 12.1.27.2
tb-set-ip-link $ASN1239IndianapolisIN $Link77 12.1.27.1
set Link78 [$ns duplex-link $ASN1239NewYorkNY $ASN1239ManasquanNJ 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239NewYorkNY $Link78 12.1.61.1
tb-set-ip-link $ASN1239ManasquanNJ $Link78 12.1.61.2
set Link79 [$ns duplex-link $ASN1239NewYorkNY $ASN10910NewYorkNY 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239NewYorkNY $Link79 11.1.22.2
tb-set-ip-link $ASN10910NewYorkNY $Link79 11.1.22.1
set Link80 [$ns duplex-link $ASN1239ManasquanNJ $ASN1239CopenhagenDenmar 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239ManasquanNJ $Link80 12.1.42.2
tb-set-ip-link $ASN1239CopenhagenDenmar $Link80 12.1.42.1
set Link81 [$ns duplex-link $ASN1239AtlantaGA $ASN1239OrlandoFL 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239AtlantaGA $Link81 12.1.57.1
tb-set-ip-link $ASN1239OrlandoFL $Link81 12.1.57.2
set Link82 [$ns duplex-link $ASN1239AtlantaGA $ASN10910AtlantaGA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239AtlantaGA $Link82 11.1.18.2
tb-set-ip-link $ASN10910AtlantaGA $Link82 11.1.18.1
set Link84 [$ns duplex-link $ASN1239SpringfieldMA $ASN1239BostonMA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239SpringfieldMA $Link84 12.1.29.2
tb-set-ip-link $ASN1239BostonMA $Link84 12.1.29.1
set Link85 [$ns duplex-link $ASN1239LeesSummitMO $ASN1239KansasCityMO 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239LeesSummitMO $Link85 12.1.36.1
tb-set-ip-link $ASN1239KansasCityMO $Link85 12.1.36.2
set Link86 [$ns duplex-link $ASN1239RoachdaleIN $ASN1239IndianapolisIN 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239RoachdaleIN $Link86 12.1.26.2
tb-set-ip-link $ASN1239IndianapolisIN $Link86 12.1.26.1
set Link87 [$ns duplex-link $ASN10910SanFranciscoCA $ASN10910PaloAltoCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN10910SanFranciscoCA $Link87 11.1.4.1
tb-set-ip-link $ASN10910PaloAltoCA $Link87 11.1.4.2
set Link88 [$ns duplex-link $ASN10910SanFranciscoCA $ASN10910MilpitasCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN10910SanFranciscoCA $Link88 11.1.3.1
tb-set-ip-link $ASN10910MilpitasCA $Link88 11.1.3.2
set Link89 [$ns duplex-link $ASN10910SanFranciscoCA $ASN3967SanFranciscoCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN10910SanFranciscoCA $Link89 11.1.29.1
tb-set-ip-link $ASN3967SanFranciscoCA $Link89 11.1.29.2
set Link90 [$ns duplex-link $ASN1239OrlandoFL $ASN1239MiamiFL 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239OrlandoFL $Link90 12.1.65.2
tb-set-ip-link $ASN1239MiamiFL $Link90 12.1.65.1
set Link91 [$ns duplex-link $ASN1239OrlandoFL $ASN10910OrlandoFL 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239OrlandoFL $Link91 11.1.23.2
tb-set-ip-link $ASN10910OrlandoFL $Link91 11.1.23.1
set Link94 [$ns duplex-link $ASN10910OrangeCountyCA $ASN10910SanDiegoCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN10910OrangeCountyCA $Link94 11.1.10.1
tb-set-ip-link $ASN10910SanDiegoCA $Link94 11.1.10.2
set Link95 [$ns duplex-link $ASN10910OrangeCountyCA $ASN10910LosAngelesCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN10910OrangeCountyCA $Link95 11.1.11.1
tb-set-ip-link $ASN10910LosAngelesCA $Link95 11.1.11.2
set Link96 [$ns duplex-link $ASN10910PennsaukenNJ $ASN10910PhiladelphiaPA 100Mb 0ms DropTail]
tb-set-ip-link $ASN10910PennsaukenNJ $Link96 11.1.16.1
tb-set-ip-link $ASN10910PhiladelphiaPA $Link96 11.1.16.2
set Link97 [$ns duplex-link $ASN10910CheyenneWY $ASN10910DenverCO 100Mb 0ms DropTail]
tb-set-ip-link $ASN10910CheyenneWY $Link97 11.1.13.1
tb-set-ip-link $ASN10910DenverCO $Link97 11.1.13.2
set Link98 [$ns duplex-link $ASN10910SeattleWA $ASN10910EverettWA 100Mb 0ms DropTail]
tb-set-ip-link $ASN10910SeattleWA $Link98 11.1.6.2
tb-set-ip-link $ASN10910EverettWA $Link98 11.1.6.1
set Link99 [$ns duplex-link $ASN1239LondonUnitedKing $ASN1239BrusselsBelgium 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239LondonUnitedKing $Link99 12.1.74.1
tb-set-ip-link $ASN1239BrusselsBelgium $Link99 12.1.74.2
set Link100 [$ns duplex-link $ASN1239LondonUnitedKing $ASN1239DublinIreland 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239LondonUnitedKing $Link100 12.1.66.2
tb-set-ip-link $ASN1239DublinIreland $Link100 12.1.66.1
set Link101 [$ns duplex-link $ASN1239LondonUnitedKing $ASN1239ParisFrance 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239LondonUnitedKing $Link101 12.1.73.1
tb-set-ip-link $ASN1239ParisFrance $Link101 12.1.73.2
set Link102 [$ns duplex-link $ASN1239LondonUnitedKing $ASN1239CopenhagenDenmar 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239LondonUnitedKing $Link102 12.1.40.2
tb-set-ip-link $ASN1239CopenhagenDenmar $Link102 12.1.40.1
set Link103 [$ns duplex-link $ASN10910NewYorkNY $ASN10910BostonMA 100Mb 0ms DropTail]
tb-set-ip-link $ASN10910NewYorkNY $Link103 11.1.9.2
tb-set-ip-link $ASN10910BostonMA $Link103 11.1.9.1
set Link104 [$ns duplex-link $ASN1239CopenhagenDenmar $ASN1239StockholmSweden 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239CopenhagenDenmar $Link104 12.1.11.2
tb-set-ip-link $ASN1239StockholmSweden $Link104 12.1.11.1
set Link105 [$ns duplex-link $ASN1239CopenhagenDenmar $ASN1239HamburgGermany 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239CopenhagenDenmar $Link105 12.1.41.1
tb-set-ip-link $ASN1239HamburgGermany $Link105 12.1.41.2
set Link106 [$ns duplex-link $ASN10910OrlandoFL $ASN10910MiamiFL 100Mb 0ms DropTail]
tb-set-ip-link $ASN10910OrlandoFL $Link106 11.1.12.2
tb-set-ip-link $ASN10910MiamiFL $Link106 11.1.12.1
set Link107 [$ns duplex-link $ASN1239BrusselsBelgium $ASN1239AmsterdamNetherl 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239BrusselsBelgium $Link107 12.1.63.2
tb-set-ip-link $ASN1239AmsterdamNetherl $Link107 12.1.63.1
set Link108 [$ns duplex-link $ASN1239ParisFrance $ASN1239MilanItaly 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239ParisFrance $Link108 12.1.75.1
tb-set-ip-link $ASN1239MilanItaly $Link108 12.1.75.2
set Link109 [$ns duplex-link $ASN1239ParisFrance $ASN1239FrankfurtGermany 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239ParisFrance $Link109 12.1.76.1
tb-set-ip-link $ASN1239FrankfurtGermany $Link109 12.1.76.2
set Link110 [$ns duplex-link $ASN1239HamburgGermany $ASN1239FrankfurtGermany 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239HamburgGermany $Link110 12.1.59.1
tb-set-ip-link $ASN1239FrankfurtGermany $Link110 12.1.59.2
set Link111 [$ns duplex-link $ASN1239HamburgGermany $ASN1239AmsterdamNetherl 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239HamburgGermany $Link111 12.1.58.1
tb-set-ip-link $ASN1239AmsterdamNetherl $Link111 12.1.58.2
set Link112 [$ns duplex-link $ASN1239MilanItaly $ASN1239FrankfurtGermany 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239MilanItaly $Link112 12.1.81.1
tb-set-ip-link $ASN1239FrankfurtGermany $Link112 12.1.81.2

### Links that require multiplexing
tb-set-multiplexed Link1 1
tb-set-multiplexed Link2 1
tb-set-multiplexed Link3 1
tb-set-multiplexed Link4 1
tb-set-multiplexed Link5 1
tb-set-multiplexed Link6 1
tb-set-multiplexed Link7 1
tb-set-multiplexed Link8 1
tb-set-multiplexed Link16 1
tb-set-multiplexed Link17 1
tb-set-multiplexed Link18 1
tb-set-multiplexed Link19 1
tb-set-multiplexed Link20 1
tb-set-multiplexed Link37 1
tb-set-multiplexed Link38 1
tb-set-multiplexed Link39 1
tb-set-multiplexed Link40 1
tb-set-multiplexed Link41 1
tb-set-multiplexed Link42 1
tb-set-multiplexed Link43 1
tb-set-multiplexed Link44 1
tb-set-multiplexed Link45 1
tb-set-multiplexed Link46 1
tb-set-multiplexed Link47 1
tb-set-multiplexed Link48 1
tb-set-multiplexed Link49 1
tb-set-multiplexed Link25 1
tb-set-multiplexed Link26 1
tb-set-multiplexed Link27 1
tb-set-multiplexed Link28 1
tb-set-multiplexed Link29 1
tb-set-multiplexed Link30 1
tb-set-multiplexed Link31 1
tb-set-multiplexed Link32 1
tb-set-multiplexed Link33 1
tb-set-multiplexed Link61 1
tb-set-multiplexed Link62 1
tb-set-multiplexed Link63 1
tb-set-multiplexed Link64 1
tb-set-multiplexed Link65 1
tb-set-multiplexed Link66 1
tb-set-multiplexed Link74 1
tb-set-multiplexed Link75 1
tb-set-multiplexed Link76 1
tb-set-multiplexed Link77 1
tb-set-multiplexed Link78 1
tb-set-multiplexed Link79 1
tb-set-multiplexed Link9 1
tb-set-multiplexed Link10 1
tb-set-multiplexed Link11 1
tb-set-multiplexed Link12 1
tb-set-multiplexed Link13 1
tb-set-multiplexed Link14 1
tb-set-multiplexed Link15 1
tb-set-multiplexed Link52 1
tb-set-multiplexed Link53 1
tb-set-multiplexed Link54 1
tb-set-multiplexed Link55 1
tb-set-multiplexed Link56 1
tb-set-multiplexed Link57 1
tb-set-multiplexed Link58 1

$ns rtproto Static
$ns run
