# Connections between a collection of tier-1 ISPs, 50 nodes

set ns [new Simulator]
source tb_compat.tcl

### Nodes

set ASN1239LosAngelesCA [$ns node]
set ASN3561RestonVA [$ns node]
set ASN3561AnaheimCA [$ns node]
set ASN2914SanJoseCA [$ns node]
set ASN3561MinneapolisMN [$ns node]
set ASN2914DallasTX [$ns node]
set ASN2914NewarkNJ [$ns node]
set ASN2914PaloAltoCA [$ns node]
set ASN2914ChicagoIL [$ns node]
set ASN2914Singapore [$ns node]
set ASN2914SeattleWA [$ns node]
set ASN3561AtlantaGA [$ns node]
set ASN2914LosAngelesCA [$ns node]
set ASN2914IrvineCA [$ns node]
set ASN2914SacramentoCA [$ns node]
set ASN3561PhoenixAZ [$ns node]
set ASN1239AnaheimCA [$ns node]
set ASN2914DenverCO [$ns node]
set ASN3561OsakaJapan [$ns node]
set ASN3561LondonUnitedKing [$ns node]
set ASN2828SanJoseCA [$ns node]
set ASN2914HongKong [$ns node]
set ASN1239DallasTX [$ns node]
set ASN2914HoustonTX [$ns node]
set ASN2914SanFranciscoCA [$ns node]
set ASN2914TaipeiTaiwan [$ns node]
set ASN2914TokyoJapan [$ns node]
set ASN2914SydneyAustralia [$ns node]
set ASN2914McLeanVA [$ns node]
set ASN2914MilpitasCA [$ns node]
set ASN3561SeattleWA [$ns node]
set ASN3561ElSegundoCA [$ns node]
set ASN2914MountainViewCA [$ns node]
set ASN2914NewOrleansLA [$ns node]
set ASN2914AtlantaGA [$ns node]
set ASN2914SanDiegoCA [$ns node]

tb-set-node-startcmd $ASN1239LosAngelesCA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN3561RestonVA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN3561AnaheimCA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914SanJoseCA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN3561MinneapolisMN "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914DallasTX "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914NewarkNJ "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914PaloAltoCA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914ChicagoIL "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914Singapore "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914SeattleWA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN3561AtlantaGA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914LosAngelesCA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914IrvineCA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914SacramentoCA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN3561PhoenixAZ "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN1239AnaheimCA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914DenverCO "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN3561OsakaJapan "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN3561LondonUnitedKing "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2828SanJoseCA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914HongKong "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN1239DallasTX "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914HoustonTX "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914SanFranciscoCA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914TaipeiTaiwan "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914TokyoJapan "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914SydneyAustralia "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914McLeanVA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914MilpitasCA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN3561SeattleWA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN3561ElSegundoCA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914MountainViewCA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914NewOrleansLA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914AtlantaGA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"
tb-set-node-startcmd $ASN2914SanDiegoCA "sudo sh /proj/DDoSImpact/exp/rf2ns-peering/setup.sh"

set Link0 [$ns duplex-link $ASN2914SanDiegoCA $ASN2914LosAngelesCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914SanDiegoCA $Link0 13.1.111.1
tb-set-ip-link $ASN2914LosAngelesCA $Link0 13.1.111.2
set Link1 [$ns duplex-link $ASN2914SanDiegoCA $ASN2914IrvineCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914SanDiegoCA $Link1 13.1.64.2
tb-set-ip-link $ASN2914IrvineCA $Link1 13.1.64.1
set Link2 [$ns duplex-link $ASN2914SanDiegoCA $ASN2914PaloAltoCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914SanDiegoCA $Link2 13.1.108.2
tb-set-ip-link $ASN2914PaloAltoCA $Link2 13.1.108.1
set Link3 [$ns duplex-link $ASN2914SanDiegoCA $ASN2914HoustonTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914SanDiegoCA $Link3 13.1.92.2
tb-set-ip-link $ASN2914HoustonTX $Link3 13.1.92.1
set Link4 [$ns duplex-link $ASN2914LosAngelesCA $ASN2914TaipeiTaiwan 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914LosAngelesCA $Link4 13.1.5.2
tb-set-ip-link $ASN2914TaipeiTaiwan $Link4 13.1.5.1
set Link5 [$ns duplex-link $ASN2914LosAngelesCA $ASN2914IrvineCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914LosAngelesCA $Link5 13.1.63.2
tb-set-ip-link $ASN2914IrvineCA $Link5 13.1.63.1
set Link6 [$ns duplex-link $ASN2914LosAngelesCA $ASN2914MilpitasCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914LosAngelesCA $Link6 13.1.9.2
tb-set-ip-link $ASN2914MilpitasCA $Link6 13.1.9.1
set Link7 [$ns duplex-link $ASN2914LosAngelesCA $ASN2914SanJoseCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914LosAngelesCA $Link7 13.1.60.2
tb-set-ip-link $ASN2914SanJoseCA $Link7 13.1.60.1
set Link8 [$ns duplex-link $ASN2914LosAngelesCA $ASN1239LosAngelesCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914LosAngelesCA $Link8 11.1.96.2
tb-set-ip-link $ASN1239LosAngelesCA $Link8 11.1.96.1
set Link9 [$ns duplex-link $ASN2914LosAngelesCA $ASN3561AnaheimCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914LosAngelesCA $Link9 13.1.115.1
tb-set-ip-link $ASN3561AnaheimCA $Link9 13.1.115.2
set Link10 [$ns duplex-link $ASN2914LosAngelesCA $ASN1239AnaheimCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914LosAngelesCA $Link10 11.1.89.2
tb-set-ip-link $ASN1239AnaheimCA $Link10 11.1.89.1
set Link11 [$ns duplex-link $ASN2914PaloAltoCA $ASN2914MilpitasCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914PaloAltoCA $Link11 13.1.7.2
tb-set-ip-link $ASN2914MilpitasCA $Link11 13.1.7.1
set Link12 [$ns duplex-link $ASN2914PaloAltoCA $ASN2914SanJoseCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914PaloAltoCA $Link12 13.1.58.2
tb-set-ip-link $ASN2914SanJoseCA $Link12 13.1.58.1
set Link13 [$ns duplex-link $ASN2914PaloAltoCA $ASN2914SacramentoCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914PaloAltoCA $Link13 13.1.103.2
tb-set-ip-link $ASN2914SacramentoCA $Link13 13.1.103.1
set Link14 [$ns duplex-link $ASN2914PaloAltoCA $ASN2914DallasTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914PaloAltoCA $Link14 13.1.104.2
tb-set-ip-link $ASN2914DallasTX $Link14 13.1.104.1
set Link15 [$ns duplex-link $ASN2914PaloAltoCA $ASN2914SeattleWA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914PaloAltoCA $Link15 13.1.83.2
tb-set-ip-link $ASN2914SeattleWA $Link15 13.1.83.1
set Link16 [$ns duplex-link $ASN2914PaloAltoCA $ASN2914SanFranciscoCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914PaloAltoCA $Link16 13.1.99.2
tb-set-ip-link $ASN2914SanFranciscoCA $Link16 13.1.99.1
set Link17 [$ns duplex-link $ASN2914PaloAltoCA $ASN2914McLeanVA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914PaloAltoCA $Link17 13.1.49.2
tb-set-ip-link $ASN2914McLeanVA $Link17 13.1.49.1
set Link18 [$ns duplex-link $ASN2914PaloAltoCA $ASN2914MountainViewCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914PaloAltoCA $Link18 13.1.68.2
tb-set-ip-link $ASN2914MountainViewCA $Link18 13.1.68.1
set Link23 [$ns duplex-link $ASN2914HoustonTX $ASN2914NewOrleansLA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914HoustonTX $Link23 13.1.23.2
tb-set-ip-link $ASN2914NewOrleansLA $Link23 13.1.23.1
set Link24 [$ns duplex-link $ASN2914HoustonTX $ASN2914AtlantaGA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914HoustonTX $Link24 13.1.21.2
tb-set-ip-link $ASN2914AtlantaGA $Link24 13.1.21.1
set Link25 [$ns duplex-link $ASN2914HoustonTX $ASN2914DallasTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914HoustonTX $Link25 13.1.91.1
tb-set-ip-link $ASN2914DallasTX $Link25 13.1.91.2
set Link26 [$ns duplex-link $ASN2914TaipeiTaiwan $ASN2914TokyoJapan 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914TaipeiTaiwan $Link26 13.1.4.1
tb-set-ip-link $ASN2914TokyoJapan $Link26 13.1.4.2
set Link27 [$ns duplex-link $ASN2914MilpitasCA $ASN2914MountainViewCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914MilpitasCA $Link27 13.1.11.1
tb-set-ip-link $ASN2914MountainViewCA $Link27 13.1.11.2
set Link28 [$ns duplex-link $ASN2914MilpitasCA $ASN2914SanJoseCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914MilpitasCA $Link28 13.1.10.1
tb-set-ip-link $ASN2914SanJoseCA $Link28 13.1.10.2
set Link29 [$ns duplex-link $ASN2914MilpitasCA $ASN2914NewarkNJ 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914MilpitasCA $Link29 13.1.8.1
tb-set-ip-link $ASN2914NewarkNJ $Link29 13.1.8.2
set Link30 [$ns duplex-link $ASN2914MilpitasCA $ASN2914SanFranciscoCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914MilpitasCA $Link30 13.1.6.1
tb-set-ip-link $ASN2914SanFranciscoCA $Link30 13.1.6.2
set Link31 [$ns duplex-link $ASN2914SanJoseCA $ASN2914SydneyAustralia 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914SanJoseCA $Link31 13.1.62.1
tb-set-ip-link $ASN2914SydneyAustralia $Link31 13.1.62.2
set Link32 [$ns duplex-link $ASN2914SanJoseCA $ASN2914ChicagoIL 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914SanJoseCA $Link32 13.1.57.1
tb-set-ip-link $ASN2914ChicagoIL $Link32 13.1.57.2
set Link33 [$ns duplex-link $ASN2914SanJoseCA $ASN2914TokyoJapan 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914SanJoseCA $Link33 13.1.59.1
tb-set-ip-link $ASN2914TokyoJapan $Link33 13.1.59.2
set Link34 [$ns duplex-link $ASN2914SanJoseCA $ASN2914HongKong 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914SanJoseCA $Link34 13.1.55.1
tb-set-ip-link $ASN2914HongKong $Link34 13.1.55.2
set Link35 [$ns duplex-link $ASN2914SanJoseCA $ASN2914DenverCO 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914SanJoseCA $Link35 13.1.42.2
tb-set-ip-link $ASN2914DenverCO $Link35 13.1.42.1
set Link36 [$ns duplex-link $ASN2914SanJoseCA $ASN2914Singapore 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914SanJoseCA $Link36 13.1.61.1
tb-set-ip-link $ASN2914Singapore $Link36 13.1.61.2
set Link39 [$ns duplex-link $ASN2914SanJoseCA $ASN2914SanFranciscoCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914SanJoseCA $Link39 13.1.54.1
tb-set-ip-link $ASN2914SanFranciscoCA $Link39 13.1.54.2
set Link41 [$ns duplex-link $ASN2914SanJoseCA $ASN2828SanJoseCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN2914SanJoseCA $Link41 12.1.48.2
tb-set-ip-link $ASN2828SanJoseCA $Link41 12.1.48.1
set Link42 [$ns duplex-link $ASN1239LosAngelesCA $ASN1239AnaheimCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239LosAngelesCA $Link42 11.1.69.2
tb-set-ip-link $ASN1239AnaheimCA $Link42 11.1.69.1
set Link43 [$ns duplex-link $ASN1239LosAngelesCA $ASN1239DallasTX 100Mb 0ms DropTail]
tb-set-ip-link $ASN1239LosAngelesCA $Link43 11.1.82.2
tb-set-ip-link $ASN1239DallasTX $Link43 11.1.82.1
set Link44 [$ns duplex-link $ASN3561AnaheimCA $ASN3561RestonVA 100Mb 0ms DropTail]
tb-set-ip-link $ASN3561AnaheimCA $Link44 14.1.40.1
tb-set-ip-link $ASN3561RestonVA $Link44 14.1.40.2
set Link45 [$ns duplex-link $ASN3561AnaheimCA $ASN3561AtlantaGA 100Mb 0ms DropTail]
tb-set-ip-link $ASN3561AnaheimCA $Link45 14.1.18.1
tb-set-ip-link $ASN3561AtlantaGA $Link45 14.1.18.2
set Link46 [$ns duplex-link $ASN3561AnaheimCA $ASN3561PhoenixAZ 100Mb 0ms DropTail]
tb-set-ip-link $ASN3561AnaheimCA $Link46 14.1.38.1
tb-set-ip-link $ASN3561PhoenixAZ $Link46 14.1.38.2
set Link47 [$ns duplex-link $ASN3561AnaheimCA $ASN3561ElSegundoCA 100Mb 0ms DropTail]
tb-set-ip-link $ASN3561AnaheimCA $Link47 14.1.25.1
tb-set-ip-link $ASN3561ElSegundoCA $Link47 14.1.25.2
set Link48 [$ns duplex-link $ASN3561AnaheimCA $ASN3561MinneapolisMN 100Mb 0ms DropTail]
tb-set-ip-link $ASN3561AnaheimCA $Link48 14.1.32.1
tb-set-ip-link $ASN3561MinneapolisMN $Link48 14.1.32.2
set Link49 [$ns duplex-link $ASN3561AnaheimCA $ASN3561OsakaJapan 100Mb 0ms DropTail]
tb-set-ip-link $ASN3561AnaheimCA $Link49 14.1.35.1
tb-set-ip-link $ASN3561OsakaJapan $Link49 14.1.35.2
set Link50 [$ns duplex-link $ASN3561AnaheimCA $ASN3561LondonUnitedKing 100Mb 0ms DropTail]
tb-set-ip-link $ASN3561AnaheimCA $Link50 14.1.29.1
tb-set-ip-link $ASN3561LondonUnitedKing $Link50 14.1.29.2
set Link51 [$ns duplex-link $ASN3561AnaheimCA $ASN3561SeattleWA 100Mb 0ms DropTail]
tb-set-ip-link $ASN3561AnaheimCA $Link51 14.1.45.1
tb-set-ip-link $ASN3561SeattleWA $Link51 14.1.45.2

### Links that require multiplexing
tb-set-multiplexed Link11 1
tb-set-multiplexed Link12 1
tb-set-multiplexed Link13 1
tb-set-multiplexed Link14 1
tb-set-multiplexed Link15 1
tb-set-multiplexed Link16 1
tb-set-multiplexed Link17 1
tb-set-multiplexed Link18 1
tb-set-multiplexed Link19 1
tb-set-multiplexed Link20 1
tb-set-multiplexed Link21 1
tb-set-multiplexed Link22 1
tb-set-multiplexed Link4 1
tb-set-multiplexed Link5 1
tb-set-multiplexed Link6 1
tb-set-multiplexed Link7 1
tb-set-multiplexed Link8 1
tb-set-multiplexed Link9 1
tb-set-multiplexed Link10 1
tb-set-multiplexed Link44 1
tb-set-multiplexed Link45 1
tb-set-multiplexed Link46 1
tb-set-multiplexed Link47 1
tb-set-multiplexed Link48 1
tb-set-multiplexed Link49 1
tb-set-multiplexed Link50 1
tb-set-multiplexed Link51 1
tb-set-multiplexed Link52 1
tb-set-multiplexed Link53 1
tb-set-multiplexed Link54 1
tb-set-multiplexed Link55 1
tb-set-multiplexed Link56 1
tb-set-multiplexed Link57 1
tb-set-multiplexed Link58 1
tb-set-multiplexed Link31 1
tb-set-multiplexed Link32 1
tb-set-multiplexed Link33 1
tb-set-multiplexed Link34 1
tb-set-multiplexed Link35 1
tb-set-multiplexed Link36 1
tb-set-multiplexed Link37 1
tb-set-multiplexed Link38 1
tb-set-multiplexed Link39 1
tb-set-multiplexed Link40 1
tb-set-multiplexed Link41 1

$ns rtproto Static
$ns run
